from udd import tests

from udd.scripts import categorise_failures


class TestCategoriseFailures(tests.TestCaseWithConfig):

    def test_empty(self):
        ret = categorise_failures.main()
        self.assertEquals(0, ret)
        # A lock has been created under the test hierarchy
        self.assertTestPathExists('locks/scripts/categorise_failures')
        # The www hierarchy has a few invariants
        self.assertTestPathExists('www/index.html')
        self.assertTestPathExists('www/status/index.html')
        self.assertTestPathExists('www/status/main.html')
        # static files has been properly copied
        self.assertTestPathExists('www/status/jquery.flot.js')
        self.assertTestPathExists('www/status/jquery.min.js')
